remote runners
Create remote runners stream
POST
/
api
/
remote-runners
/
stream
Create remote runners stream
curl --request POST \
--url https://evalgate.com/api/remote-runners/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "trajectory",
"jobId": "<string>",
"payloadHash": "<string>",
"sequence": 123,
"emittedAt": "<string>",
"dispatchAttempt": 123,
"claimId": "<string>",
"previousChecksum": "<string>",
"checksum": "<string>",
"payload": true
}
'import requests
url = "https://evalgate.com/api/remote-runners/stream"
payload = {
"kind": "trajectory",
"jobId": "<string>",
"payloadHash": "<string>",
"sequence": 123,
"emittedAt": "<string>",
"dispatchAttempt": 123,
"claimId": "<string>",
"previousChecksum": "<string>",
"checksum": "<string>",
"payload": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'trajectory',
jobId: '<string>',
payloadHash: '<string>',
sequence: 123,
emittedAt: '<string>',
dispatchAttempt: 123,
claimId: '<string>',
previousChecksum: '<string>',
checksum: '<string>',
payload: true
})
};
fetch('https://evalgate.com/api/remote-runners/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chunk": {
"payload": true,
"payloadRetentionState": "available",
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"jobId": "<string>",
"payloadHash": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"sequence": 123,
"emittedAt": "2023-11-07T05:31:56Z",
"dispatchAttempt": 123,
"claimId": "<string>",
"previousChecksum": "<string>",
"checksum": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
trajectory Response
Successful response
Show child attributes
Show child attributes
⌘I
Create remote runners stream
